### A free/open-source library for quantitative finance

Public Member Functions
MonteCarloCDOEngine1 Class Reference

CDO engine, Monte Carlo for the exptected tranche loss distribution. More...

`#include <ql/experimental/credit/syntheticcdoengines.hpp>`

Inheritance diagram for MonteCarloCDOEngine1:
[legend]

List of all members.

## Public Member Functions

| MonteCarloCDOEngine1 (boost::shared_ptr< RandomDefaultModel > rdm, Size samples)

## Detailed Description

CDO engine, Monte Carlo for the exptected tranche loss distribution.